org.deidentifier.arx.aggregates

## Class StatisticsClassification

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsClassification

    public class StatisticsClassification
    extends java.lang.Object

Statistics representing the performance of various classifiers

Author:
  Fabian Prasser, Johanna Eicher

### Nested Class Summary

Nested Classes
`static class` `StatisticsClassification.ROCCurve` A ROC curve

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAccuracy()` Returns the resulting accuracy.
`double` `getAverageError()` Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
`double` `getBrierScore()` Returns the brier score of the classifier trained on output data.
`double` `getBrierSkillScore()` Returns the brier skill score, defined as 1-(brier output/brier input)
`java.util.Set<java.lang.String>` `getClassValues()` Returns the set of class attributes
`int` `getNumClasses()` Returns the number of classes
`int` `getNumMeasurements()` Returns the number of measurements
`double` `getOriginalAccuracy()` Returns the maximal accuracy.
`double` `getOriginalAverageError()` Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
`double` `getOriginalBrierScore()` Returns the brier score of the classifier trained on input data.
`StatisticsClassification.ROCCurve` `getOriginalROCCurve(java.lang.String clazz)` Returns the ROC curve for this class value calculated using the one-vs-all approach.
`StatisticsClassification.ROCCurve` `getROCCurve(java.lang.String clazz)` Returns the ROC curve for this class value calculated using the one-vs-all approach.
`double` `getZeroRAccuracy()` Returns the minimal accuracy.
`double` `getZeroRAverageError()` Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
`double` `getZerorBrierScore()` Returns the brier score of the ZeroR classifier.
`StatisticsClassification.ROCCurve` `getZeroRROCCurve(java.lang.String clazz)` Returns the ROC curve for this class value calculated using the one-vs-all approach.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getAccuracy

    public double getAccuracy()

Returns the resulting accuracy. Obtained by generating a classification model from the output (or input) dataset.

Returns:

#### getAverageError

    public double getAverageError()

Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.

Returns:

#### getZerorBrierScore

    public double getZerorBrierScore()

Returns the brier score of the ZeroR classifier.

Returns:

#### getBrierScore

    public double getBrierScore()

Returns the brier score of the classifier trained on output data.

Returns:

#### getOriginalBrierScore

    public double getOriginalBrierScore()

Returns the brier score of the classifier trained on input data.

Returns:

#### getBrierSkillScore

    public double getBrierSkillScore()

Returns the brier skill score, defined as 1-(brier output/brier input)

Returns:

#### getClassValues

    public java.util.Set<java.lang.String> getClassValues()

Returns the set of class attributes

Returns:

#### getNumClasses

    public int getNumClasses()

Returns the number of classes

Returns:

#### getNumMeasurements

    public int getNumMeasurements()

Returns the number of measurements

Returns:

#### getOriginalAccuracy

    public double getOriginalAccuracy()

Returns the maximal accuracy. Obtained by generating a classification model from the input dataset.

Returns:

#### getOriginalAverageError

    public double getOriginalAverageError()

Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.

Returns:

#### getOriginalROCCurve

    public StatisticsClassification.ROCCurve getOriginalROCCurve(java.lang.String clazz)

Returns the ROC curve for this class value calculated using the one-vs-all approach.

Parameters:
  `clazz` -
Returns:

#### getZeroRROCCurve

    public StatisticsClassification.ROCCurve getZeroRROCCurve(java.lang.String clazz)

Returns the ROC curve for this class value calculated using the one-vs-all approach.

Parameters:
  `clazz` -
Returns:

#### getROCCurve

    public StatisticsClassification.ROCCurve getROCCurve(java.lang.String clazz)

Returns the ROC curve for this class value calculated using the one-vs-all approach.

Parameters:
  `clazz` -
Returns:

#### getZeroRAccuracy

    public double getZeroRAccuracy()

Returns the minimal accuracy. Obtained by training a ZeroR classifier on the input dataset.

Returns:

#### getZeroRAverageError

    public double getZeroRAverageError()

Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`